- include_role:
    name: commons
    tasks_from: databases/postgres.yaml
  vars:
    cpu_limit: "{{ peertube_db_cpu_limit }}"
    memory_limit: "{{ peertube_db_memory_limit }}"
    postgres_data_capacity: "{{ peertube_db_data_capacity }}"
    postgres_extensions:
    - pg_trgm
    - unaccent
    postgres_name: "{{ ptpg_name }}"
- include_role:
    name: commons
    tasks_from: helpers/network-policy.yaml
  vars:
    source:
    - name: "{{ peertube_name }}"
    policy_name: "{{ peertube_name }}-to-{{ ptpg_name }}"
    policy_state: "{{ 'present' if (do_network_policy)
                                else 'absent' }}"
    subject: "{{ ptpg_name }}"
    to:
    - number: "5432"
